Xposed Framework Now Compatible with Android 4.4

Trucos-Android4

Every now and then, stock ROMs may lack something that we love. Custom ROM developers often make magic happen with code and offer helpful solutions, but not everyone is either able or willing to load a custom ROM.

You’ve surely heard about Xposed Framework by XDA Recognized Developer rovo89.We’ve written about Xposed extensively , and we even have a regular¬†Xposed Tuesday¬†feature, showcasing various example modules.

Getting into some of the technical details, Xposed Frameworks is a modification of /system/bin/app_process to load JAR files on startup, which allows developers to create applications with single modifications. It’s a perfect alternative to running a custom ROM simply to load our favorite mods.

Very recently, rovo89 updated his work to support Android 4.4 KitKat. It’s still in beta stage, but rovo89 expects the final version to be ready very soon. Modules compatible with previous versions should continue to work if they don’t rely on AOSP internals that have changed in KitKat. However, it’s not compatible with ART. That said, it’s possible that ART compatibility will be added in the future. But for now, nothing is certain.

If you are a happy KitKat user and want to use your favorite modules with it, make your way to the development thread and get the newest APK to install.

[Big thanks to Senior Moderator ApriliaM3 for the tip!]


_________
Want something on the XDA Portal? Send us a tip!